package com.android.chmo.http.response;

import com.android.chmo.model.Promote;

import java.util.ArrayList;
import java.util.List;

public class PromoteRes extends Res {
    private List<Promote> introduceList;
    private String        introduceNum;
    private String        totalCoin;
    private boolean       success;

    public PromoteRes() {
        this.introduceList = new ArrayList<>();
        this.introduceNum = "0";
        this.totalCoin = "0";
        this.success = false;
    }

    public List<Promote> getIntroduceList() {
        return introduceList;
    }

    public void setIntroduceList(List<Promote> introduceList) {
        this.introduceList = introduceList;
    }

    public String getIntroduceNum() {
        return introduceNum;
    }

    public void setIntroduceNum(String introduceNum) {
        this.introduceNum = introduceNum;
    }

    public String getTotalCoin() {
        return totalCoin;
    }

    public void setTotalCoin(String totalCoin) {
        this.totalCoin = totalCoin;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }
}
